Sign in to follow this  
fiveworlds

GNU Radio Ubuntu

Recommended Posts

fiveworlds    68

Does anybody here know how to properly install gnuradio on ubuntu. I can't seem to install these dependencies properly.

qwt (>= 5.2.0) http://sourceforge.net/projects/qwt/

pyqt (>= 4.10.0) http://www.riverbankcomputing.co.uk/software/pyqt/download

wxpython (>= 2.8) http://www.wxpython.org/

python-lxml (>= 1.3.6) http://lxml.de/

Share this post


Link to post
Share on other sites
fiveworlds    68

Yeah I think I have a lot of it now. The specific repository I am trying to get working is https://github.com/Opendigitalradio/data-over-dab-example which is using gnuradio. I think I am down to one error now which is

conan : cmake error at cmake/modules/conanpackages.cmake:81 could not find load file data-over-dab-example/build/conanbuildinfo.cmake

I originally was trying to get it working on a raspberry pi but would up getting tons of errors because the raspberry pi chipset isn't supported

 

 

 

 

 

 

Share this post


Link to post
Share on other sites
Cap'n Refsmmat    1340

Hmm, interesting. conanpackages.cmake tries to load conanbuildinfo.cmake, but that doesn't exist and isn't in the Git repository. Maybe post an issue on the GitHub and ask the maintainer what's going on? Not sure I know how to debug CMake scripts.

Share this post


Link to post
Share on other sites
fiveworlds    68

I'm not great on debugging them either. I left a message for the maintainer so I hope they get back to me. I'm trying to help out a radio station that was using an older version of the software and the old equipment broke.

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this